ooo-build r13539 - in trunk: . bin bin/piece doc



Author: michael
Date: Wed Aug 13 09:46:14 2008
New Revision: 13539
URL: http://svn.gnome.org/viewvc/ooo-build?rev=13539&view=rev

Log:
2008-08-13  Michael Meeks  <michael meeks novell com>

        * bin/applyflags: start of re-factor of cut/paste flags
        work in Makefile.shared.

        * bin/piece/install-artwork: rename to inst-artwork,
        * bin/piece/Makefile.am, bin/Makefile.am: update.

2008-08-12  Michael Meeks  <michael meeks novell com>

        * bin/install-artwork, Makefile.shared: make artwork
        installation rather more generic.



Added:
   trunk/bin/install-artwork   (contents, props changed)
   trunk/bin/piece/inst-artwork   (props changed)
      - copied unchanged from r13538, /trunk/bin/piece/install-artwork
Removed:
   trunk/bin/piece/install-artwork
Modified:
   trunk/ChangeLog
   trunk/Makefile.shared
   trunk/bin/Makefile.am
   trunk/bin/piece/Makefile.am
   trunk/bin/piece/build-generic
   trunk/bin/piece/install-generic
   trunk/doc/split.txt

Modified: trunk/Makefile.shared
==============================================================================
--- trunk/Makefile.shared	(original)
+++ trunk/Makefile.shared	Wed Aug 13 09:46:14 2008
@@ -48,33 +48,7 @@
 			      $(STAMP_DIR)/prebuild \
 			      $(wildcard $(top_srcdir)/src/*.png) \
 			      $(wildcard $(top_srcdir)/src/*.bmp)
-	mkdir -p $(OOBUILDDIR)/setup_native/source/win32/nsis
-	cp $(top_srcdir)/src/ooobitmap_*.bmp $(OOBUILDDIR)/setup_native/source/win32/nsis/ || echo "no nsis installer images to copy"
-	cp $(top_srcdir)/src/ooobanner_*.bmp $(OOBUILDDIR)/setup_native/source/win32/nsis/ || echo "no nsis banner images to copy"
-	cp $(top_srcdir)/src/ooosetup_*.ico $(OOBUILDDIR)/setup_native/source/win32/nsis/ || echo "no installer icon to copy"
-	mkdir -p $(OOBUILDDIR)/instsetoo_native/res
-	cp $(top_srcdir)/src/nologoinstall_*.bmp $(OOBUILDDIR)/instsetoo_native/res/ || echo "no installer sidebar images to copy"
-	cp $(top_srcdir)/src/banner_*.bmp $(OOBUILDDIR)/instsetoo_native/res/ || echo "no installer banner images to copy"
-	mkdir -p $(OOBUILDDIR)/svx/res
-	cp $(top_srcdir)/src/open*_*.bmp $(OOBUILDDIR)/svx/res/ || echo "no intro images to copy"
-	mkdir -p $(OOBUILDDIR)/default_images/svx/res
-	mkdir -p $(OOBUILDDIR)/default_images/sw/res
-	cp $(top_srcdir)/src/open*_*.png $(OOBUILDDIR)/default_images/svx/res/ || echo "no about images to copy"
-	cp $(top_srcdir)/src/*-team.png $(OOBUILDDIR)/default_images/sw/res/ || echo "no team images to copy"
-# Ignore convert.exe in windows/system32
-	if test -d $(OOBUILDDIR)/default_images/introabout; then \
-		case "`which convert`" in \
-			*32/convert) ;; \
-			/*) mv $(OOBUILDDIR)/default_images/introabout/intro.bmp $(OOBUILDDIR)/default_images/introabout/intro-save.bmp && convert $(OOBUILDDIR)/default_images/introabout/intro-save.bmp -depth 24 -type TrueColor $(OOBUILDDIR)/default_images/introabout/intro.bmp ;; \
-		esac \
-	fi
-	mkdir -p $(OOBUILDDIR)/default_images/res/commandimagelist
-	mkdir -p $(OOBUILDDIR)/ooo_custom_images/industrial/res/commandimagelist
-	mkdir -p $(OOBUILDDIR)/ooo_custom_images/tango/res/commandimagelist
-	cp $(top_srcdir)/src/layout/*.png $(OOBUILDDIR)/default_images/res/commandimagelist
-	cp $(top_srcdir)/src/layout/*.png $(OOBUILDDIR)/ooo_custom_images/industrial/res/commandimagelist
-	cp $(top_srcdir)/src/layout/*.png $(OOBUILDDIR)/ooo_custom_images/tango/res/commandimagelist
-	tar -C $(top_srcdir)/src/layout --exclude=.svn -cf- default_images ooo_custom_images | tar -C $(OOBUILDDIR) -xf-
+	$(TOOLSDIR)/bin/install-artwork $(top_srcdir)/src $(OOBUILDDIR)
 	touch $@
 
 patch.apply: $(OOBUILDDIR)/unpack $(STAMP_DIR)/patch.apply 

Modified: trunk/bin/Makefile.am
==============================================================================
--- trunk/bin/Makefile.am	(original)
+++ trunk/bin/Makefile.am	Wed Aug 13 09:46:14 2008
@@ -16,6 +16,7 @@
 	install-dict.in \
 	install-dictionaries \
 	install-mono \
+	install-artwork \
 	java-set-classpath.in \
 	localize-ooo \
 	make-win32-iso \

Added: trunk/bin/install-artwork
==============================================================================
--- (empty file)
+++ trunk/bin/install-artwork	Wed Aug 13 09:46:14 2008
@@ -0,0 +1,56 @@
+#!/bin/bash
+
+# installs artwork, opportunistically from src to dest
+
+src=$1
+dest=$2
+
+echo "do artwork tweaks ..."
+
+if test -d $dest/setup_native; then
+	mkdir -p $dest/setup_native/source/win32/nsis
+	cp $src/ooobitmap_*.bmp $dest/setup_native/source/win32/nsis/ || echo "no nsis installer images to copy"
+	cp $src/ooobanner_*.bmp $dest/setup_native/source/win32/nsis/ || echo "no nsis banner images to copy"
+	cp $src/ooosetup_*.ico $dest/setup_native/source/win32/nsis/ || echo "no installer icon to copy"
+else
+	echo "	skipping setup_native"
+fi
+
+if test -d $dest/instsetoo_native; then
+	mkdir -p $dest/instsetoo_native/res
+	cp $src/nologoinstall_*.bmp $dest/instsetoo_native/res/ || echo "no installer sidebar images to copy"
+	cp $src/banner_*.bmp $dest/instsetoo_native/res/ || echo "no installer banner images to copy"
+else
+	echo "	skipping instsetoo_native"
+fi
+
+if test -d $dest/svx; then
+	mkdir -p $dest/svx/res
+	cp $src/open*_*.bmp $dest/svx/res/ || echo "no intro images to copy"
+else
+	echo "	skipping svx"
+fi
+
+if test -d $dest/default_images; then
+	mkdir -p $dest/default_images/svx/res
+	mkdir -p $dest/default_images/sw/res
+	cp $src/open*_*.png $dest/default_images/svx/res/ || echo "no about images to copy"
+	cp $src/*-team.png $dest/default_images/sw/res/ || echo "no team images to copy"
+
+	# Ignore convert.exe in windows/system32
+	if test -d $dest/default_images/introabout; then
+		case "`which convert`" in
+		*32/convert) ;;
+		/*) mv $dest/default_images/introabout/intro.bmp $dest/default_images/introabout/intro-save.bmp && convert $dest/default_images/introabout/intro-save.bmp -depth 24 -type TrueColor $dest/default_images/introabout/intro.bmp ;;
+		esac
+	fi
+	mkdir -p $dest/default_images/res/commandimagelist
+	mkdir -p $dest/ooo_custom_images/industrial/res/commandimagelist
+	mkdir -p $dest/ooo_custom_images/tango/res/commandimagelist
+	cp $src/layout/*.png $dest/default_images/res/commandimagelist
+	cp $src/layout/*.png $dest/ooo_custom_images/industrial/res/commandimagelist
+	cp $src/layout/*.png $dest/ooo_custom_images/tango/res/commandimagelist
+	tar -C $src/layout --exclude=.svn -cf- default_images ooo_custom_images | tar -C $dest -xf-
+else
+	echo "	skipping default_images"
+fi

Modified: trunk/bin/piece/Makefile.am
==============================================================================
--- trunk/bin/piece/Makefile.am	(original)
+++ trunk/bin/piece/Makefile.am	Wed Aug 13 09:46:14 2008
@@ -3,6 +3,8 @@
 	unpack-l10n \
 	copyexcept \
 	noulf noulfconv \
+	install-generic \
+	install-bootstrap \
 	${wildcard env-*} \
 	${wildcard build-*} \
-	${wildcard install-*}
+	${wildcard inst-*}

Modified: trunk/bin/piece/build-generic
==============================================================================
--- trunk/bin/piece/build-generic	(original)
+++ trunk/bin/piece/build-generic	Wed Aug 13 09:46:14 2008
@@ -19,6 +19,8 @@
     $custom_unpack $OO_TOOLSDIR/.. `pwd`
 fi
 
+$OO_TOOLSDIR/install-artwork $OO_TOOLSDIR/../src `pwd`
+
 # drop --distro=Localize for now ...
 $OO_TOOLSDIR/../patches/apply.pl $OO_TOOLSDIR/../patches/dev300 --pieces \
 	--tag=$ooo_build_tag \

Modified: trunk/bin/piece/install-generic
==============================================================================
--- trunk/bin/piece/install-generic	(original)
+++ trunk/bin/piece/install-generic	Wed Aug 13 09:46:14 2008
@@ -6,7 +6,7 @@
 
 source $OO_TOOLSDIR/piece/sys-setup
 
-custom_install="$OO_TOOLSDIR/piece/install-$piece"
+custom_install="$OO_TOOLSDIR/piece/inst-$piece"
 if test -f $custom_install; then
     $custom_install $piece $ooo_build_tag $distro
 fi

Modified: trunk/doc/split.txt
==============================================================================
--- trunk/doc/split.txt	(original)
+++ trunk/doc/split.txt	Wed Aug 13 09:46:14 2008
@@ -86,6 +86,9 @@
 	  variables to be re-used everywhere & moved up-stream, eg.
 	  URESOLARBINDIR instead of SOLARBINDIR etc.
 
+	+ make the "straight through" build look much more like the
+	  normal build.
+
 
 --- older notes ---
 
@@ -319,16 +322,17 @@
 		+ needed *both* basis3.0 and ure ...
 		+ can we hack the installer, to build one services.rdb
 		  per module ? [ might be easier ! ].
-	+ need images & themes:
-		+ built / installed from postprocess [!] ...
+	+ split Makefile.shared image installation into
+	  a custom "install-images" script
+		+ $src $dest type thing ...
+		+ if $dest exists -> install into it in each
+		  case ...
+		+ call in build-generic.
+	+ clean Makefile.shared while I'm there ...
+		+ get the flag building done cleanly ...
+		+ [!] ...
 
 * FIXME:
-	+ split Makefile.shared image installation out
-	  into custom scripts to do that - per piece...
-		+ we have src/ installed anyway ...
-
 	+ done in the cleanup section ?
 		+ packimages [etc.]
 
-
-



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]